



void compareHistos_simply(double rangedown = 30000, double rangeup = 40000 , std::string inputName = "Dy01_EFIR")
{
auto c1 = new TCanvas("c1", "" );
std::string histoName(inputName);
c1->SetTitle( histoName.c_str() );
auto fuckup = new TFile("201906081252_137Cs_AIDA_in_top.root");
auto hup = (TH1*)fuckup->Get(histoName.c_str());
auto fuckdown = new TFile("201906081228_137Cs_AIDA_in_bottom.root");
auto hdown = (TH1*)fuckdown->Get(histoName.c_str());
int binlow = hup->GetXaxis()->FindBin( rangedown );
int binup   = hup->GetXaxis()->FindBin( rangeup   );

double scaleFactor = hup->Integral( binlow, binup )/hdown->Integral( binlow, binup );
if( scaleFactor < 1. ) hdown->Scale( scaleFactor );
else                   hup->Scale( 1./scaleFactor );

hup->SetLineColor( kBlack  );
hup->GetXaxis()->SetRangeUser( 0.1*rangedown, 1.1*rangeup );
hup->Draw();
hup->SetTitle("hup");
hdown->Draw("same");
hdown->SetTitle("hdown");
hdown->SetLineColor( kRed  );
c1->SaveAs( (inputName+"_sourceUpDown.png").c_str() );

}

std::vector<int> histoNum = {1,2,3,4,5,6,7,8};
void compareHistos()
{
for( auto & aNum : histoNum )
compareHistos_simply(30000,40000, std::string(Form("Dy0%d_EFIR", aNum)));
for( auto & aNum : histoNum )
compareHistos_simply(30000,40000,std::string(Form("Dy1%d_EFIR", aNum)));

//for( auto & aNum : histoNum )
//compareHistos_simply(250000,380000, std::string(Form("An0%d_EFIR", aNum)));
//for( auto & aNum : histoNum )
//compareHistos_simply(250000,380000,std::string(Form("An1%d_EFIR", aNum)));

}
